Package ru.bgcrm.plugin.bgbilling

# Class DBInfo

java.lang.Object
ru.bgcrm.plugin.bgbilling.DBInfo

public class DBInfo extends Object
Данные для подсоединения к биллингу.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBInfo(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<D extends Directory<?>>
  D`
  `directory(Class<D> clazz)`
  `int`
  `getBillingUserId(int userId)`
  `ConnectionPool`
  `getConnectionPool()`
  `String`
  `getCopyParamMapping()`
  `int`
  `getCustomerIdParam()`
  `ConfigMap`
  `getGuiConfigValues()`
  `String`
  `getId()`
  `Set<String>`
  `getPluginSet()`
  `URL`
  `getServerUrl()`
  `ConfigMap`
  `getSetup()`
  `String`
  `getTitle()`
  `TransferData`
  `getTransferData()`
  `String`
  `getUrl()`
  `int`
  `getUserId(int billingUserId)`
  `String`
  `getVersion()`
  `DBInfo`
  `loadUsers(User requestUser)`
  `void`
  `setGuiConfigValues(ConfigMap config)`
  `void`
  `setPluginSet(Set<String> pluginSet)`
  `void`
  `setVersion(String value)`
  `int`
  `versionCompare(String withVersion)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBInfo

    public DBInfo(ConfigMap config)

- ## Method Details

  - ### getSetup

    public ConfigMap getSetup()

  - ### getId

    public String getId()

  - ### getUrl

    public String getUrl()

  - ### getServerUrl

    public URL getServerUrl()

  - ### getTitle

    public String getTitle()

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public void setVersion(String value)

  - ### versionCompare

    public int versionCompare(String withVersion)

  - ### getConnectionPool

    public ConnectionPool getConnectionPool()

  - ### getCustomerIdParam

    public int getCustomerIdParam()

  - ### getPluginSet

    public Set<String> getPluginSet()

  - ### setPluginSet

    public void setPluginSet(Set<String> pluginSet)

  - ### getGuiConfigValues

    public ConfigMap getGuiConfigValues()

  - ### setGuiConfigValues

    public void setGuiConfigValues(ConfigMap config)

  - ### getTransferData

    public TransferData getTransferData()

  - ### getCopyParamMapping

    public String getCopyParamMapping()

  - ### loadUsers

    public DBInfo loadUsers(User requestUser)

  - ### getBillingUserId

    public int getBillingUserId(int userId)

  - ### getUserId

    public int getUserId(int billingUserId)

  - ### directory

    public <D extends Directory<?>> D directory(Class<D> clazz)